﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.Tb_FeeReceipt>
@{SSCWebDBEntities1 db = new SSCWebDBEntities1();
    Status st = new Status();}
<div class="well">
    <table class="table">
        <thead>
            <tr>
                <th>
                    Receipt<br />
                    Date
                </th>
                <th style="text-align: center">
                    @Html.DisplayNameFor(model => model.ReceiptNo)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.MaCourse.CourseName)
                </th>
                <th>
                    Group<br />
                    Name
                </th>
                <th>
                    Date Of<br />
                    Joining
                </th>
                <th style="text-align: right">
                    Received<br />
                    Amt.
                </th>
                <th style="text-align: right">
                    Balance<br />
                    Amt.
                </th>
                <th>
                    @*Next Due<br />
                    Date*@
                    Course Completion<br />
                    Date
                </th>
                <th>
                </th>
            </tr>
        </thead>
        <tbody>
            @{double totalamt = 0;}
            @foreach (var item in Model)
            {
                totalamt += Convert.ToDouble(item.PaidAmount);
                <tr>
                    <td>
                        @{string fdate = string.Format("{0:dd MMM, yyyy}", item.FeeDate);
                        }
                        @fdate
                    </td>
                    <td style="text-align: center">
                        @Html.DisplayFor(modelItem => item.ReceiptNo)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.MaCourse.CourseName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.GroupName)
                    </td>
                    <td>
                        @{
                          string frmdate = string.Format("{0:dd MMM,yyyy}", item.Tb_Installment.Tb_CourseHist.FromDate);
                        }
                        @frmdate
                    </td>
                    <td style="text-align: right">
                        @Html.DisplayFor(modelItem => item.PaidAmount)
                    </td>
                    <td style="text-align: right">
                        @item.BalanceAmount
                    </td>
                    <td>
                        @{
                          string nxtdate = string.Format("{0:dd MMM,yyyy}", item.DueDate);
                        }
                        @nxtdate
                    </td>
                    <td>
                        @*   @{ 
                                string utype=Request.Cookies[CommonUtil.CookieUsertype].Value;
                                
                                if(utype==CommonUtil.UserTypeAdmin || utype==CommonUtil.UserTypeSuperAdmin  ){
                                    
                                    @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id }) 
                                @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "TbFeeReceipt", new { id = item.Id }, new { @class = "delete-link" }, null)
                                }
                                }
                                @Html.ActionLink("Print Report", "PrintReport", "TbFeeReceipt", new { @id = item.Id }, new { @class = "btn btn-primary", @target = "_blank" })*@
                    </td>
                </tr>

                <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td style="text-align: right"></td>
                    <td style="text-align: center"></td>
                    <td style="text-align: right"></td>
                    <td></td>
                    <td>
                        @{
                        List<Receiptsummary> Rec = st.GetStudentSummary(item.Id);
                    }
                    <table>
                        <tr>
                            <th>Payment Mode</th>
                            <th>Amount</th>
                            <th>Remarks</th>
                        </tr>
                        @{
                            foreach (var item1 in Rec)
                            {
                                <tr>
                                    <td>@item1.Paymode</td>
                                    <td>@item1.PayAmnt</td>
                                    <td>@item1.Remarks</td>
                                    
                                </tr>
                            }
                        }

                    </table>
                </td>
            </tr>


                            }
            <tr>
                <th>
                </th>
                <th>
                </th>
                <th>
                    Total
                </th>
                <th style="text-align: right">
                </th>
                <th style="text-align: center">
                </th>
                <th style="text-align: right">
                    @totalamt
                </th>
                <th>
                </th>
                <th>
                </th>
            </tr>

        </tbody>
    </table>
</div>
